# QSound Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QSound(String filename, QObject parent)

### Constructor Properties

- prototype: The QSound prototype object
- bool isAvailable()
- void play(String filename)

### Prototype Object Properties

The QSound prototype object inherits properties from the QObject prototype object and also has the following properties.

- String fileName()
- bool isFinished()
- int loops()
- int loopsRemaining()
- void setLoops(int arg__1)

### Instance Properties

QSound objects have no special properties beyond those inherited from the QSound prototype object.